com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface LogicalVariable

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleModelElement, ValidatableObject, Variable

      public interface LogicalVariable
      extends RuleModelElement, ValidatableObject, Variable

  A representation of the model object 'Logical Variable'.

  The following features are supported:

  - `Name`
  - `Alias`
  - `Explicit`
  - `Association`
  - `Qualified`
  - `Sorted Alias Attribute Name`
  - `Sorted Alias Descending`
  - `Extend To Database`
  - `Extended From`
  - `Extension`
  - `Entity`
  - `Traversed Assoc Role`
  - `Qualifier`
  - `Rule Statements`
  - `Referenced Attributes`
  - `Filters`
  See Also:
    `RulesheetPackage.getLogicalVariable()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getAlias()` Returns the value of the 'Alias' containment reference list.
    `org.eclipse.emf.ecore.EClass` | `getEntity()` Returns the value of the 'Entity' reference
    `org.eclipse.emf.ecore.EClass` | `getEntityExtendedFrom()`
    `LogicalVariable` | `getExtendedFrom()` Returns the value of the 'Extended From' container reference.
    `org.eclipse.emf.common.util.EList` | `getExtension()` Returns the value of the 'Extension' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getFilters()` Returns the value of the 'Filters' reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `org.eclipse.emf.ecore.EClass` | `getQualifier()` Returns the value of the 'Qualifier' reference
    `org.eclipse.emf.common.util.EList` | `getReferencedAttributes()` Returns the value of the 'Referenced Attributes' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getRuleStatements()` Returns the value of the 'Rule Statements' reference list.
    `java.lang.String` | `getSortedAliasAttributeName()` Returns the value of the 'Sorted Alias Attribute Name' attribute
    `org.eclipse.emf.ecore.EReference` | `getTraversedAssocRole()` Returns the value of the 'Traversed Assoc Role' reference
    `boolean` | `isAssociation()` Returns the value of the 'Association' attribute
    `boolean` | `isExplicit()` Returns the value of the 'Explicit' attribute
    `boolean` | `isExtendToDatabase()` Returns the value of the 'Extend To Database' attribute
    `boolean` | `isQualified()` Returns the value of the 'Qualified' attribute
    `boolean` | `isSortedAliasDescending()` Returns the value of the 'Sorted Alias Descending' attribute
    `void` | `setAssociation(boolean value)` Sets the value of the '`Association`' attribute
    `void` | `setEntity(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`Entity`' reference
    `void` | `setExplicit(boolean value)` Sets the value of the '`Explicit`' attribute
    `void` | `setExtendedFrom(LogicalVariable value)` Sets the value of the '`Extended From`' container reference
    `void` | `setExtendToDatabase(boolean value)` Sets the value of the '`Extend To Database`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setQualified(boolean value)` Sets the value of the '`Qualified`' attribute
    `void` | `setQualifier(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`Qualifier`' reference
    `void` | `setSortedAliasAttributeName(java.lang.String value)` Sets the value of the '`Sorted Alias Attribute Name`' attribute
    `void` | `setSortedAliasDescending(boolean value)` Sets the value of the '`Sorted Alias Descending`' attribute
    `void` | `setTraversedAssocRole(org.eclipse.emf.ecore.EReference value)` Sets the value of the '`Traversed Assoc Role`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `RulesheetPackage.getLogicalVariable_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getAlias

          org.eclipse.emf.common.util.EList getAlias()

      Returns the value of the 'Alias' containment reference list. The list contents are of type `RulesheetString`.

      If the meaning of the 'Alias' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Alias' containment reference list.
      See Also:
        `RulesheetPackage.getLogicalVariable_Alias()`

    - #### isExplicit

          boolean isExplicit()

      Returns the value of the 'Explicit' attribute.

      If the meaning of the 'Explicit' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Explicit' attribute.
      See Also:
        `setExplicit(boolean)`, `RulesheetPackage.getLogicalVariable_Explicit()`

    - #### setExplicit

          void setExplicit(boolean value)

      Sets the value of the '`Explicit`' attribute.
      Parameters:
        `value` - the new value of the 'Explicit' attribute.
      See Also:
        `isExplicit()`

    - #### isAssociation

          boolean isAssociation()

      Returns the value of the 'Association' attribute.

      If the meaning of the 'Association' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Association' attribute.
      See Also:
        `setAssociation(boolean)`, `RulesheetPackage.getLogicalVariable_Association()`

    - #### setAssociation

          void setAssociation(boolean value)

      Sets the value of the '`Association`' attribute.
      Parameters:
        `value` - the new value of the 'Association' attribute.
      See Also:
        `isAssociation()`

    - #### isQualified

          boolean isQualified()

      Returns the value of the 'Qualified' attribute.

      If the meaning of the 'Qualified' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Qualified' attribute.
      See Also:
        `setQualified(boolean)`, `RulesheetPackage.getLogicalVariable_Qualified()`

    - #### setQualified

          void setQualified(boolean value)

      Sets the value of the '`Qualified`' attribute.
      Parameters:
        `value` - the new value of the 'Qualified' attribute.
      See Also:
        `isQualified()`

    - #### getSortedAliasAttributeName

          java.lang.String getSortedAliasAttributeName()

      Returns the value of the 'Sorted Alias Attribute Name' attribute.

      If the meaning of the 'Sorted Alias Attribute Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sorted Alias Attribute Name' attribute.
      See Also:
        `setSortedAliasAttributeName(String)`, `RulesheetPackage.getLogicalVariable_SortedAliasAttributeName()`

    - #### setSortedAliasAttributeName

          void setSortedAliasAttributeName(java.lang.String value)

      Sets the value of the '`Sorted Alias Attribute Name`' attribute.
      Parameters:
        `value` - the new value of the 'Sorted Alias Attribute Name' attribute.
      See Also:
        `getSortedAliasAttributeName()`

    - #### isSortedAliasDescending

          boolean isSortedAliasDescending()

      Returns the value of the 'Sorted Alias Descending' attribute.

      If the meaning of the 'Sorted Alias Descending' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sorted Alias Descending' attribute.
      See Also:
        `setSortedAliasDescending(boolean)`, `RulesheetPackage.getLogicalVariable_SortedAliasDescending()`

    - #### setSortedAliasDescending

          void setSortedAliasDescending(boolean value)

      Sets the value of the '`Sorted Alias Descending`' attribute.
      Parameters:
        `value` - the new value of the 'Sorted Alias Descending' attribute.
      See Also:
        `isSortedAliasDescending()`

    - #### isExtendToDatabase

          boolean isExtendToDatabase()

      Returns the value of the 'Extend To Database' attribute.

      If the meaning of the 'Extend To Database' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extend To Database' attribute.
      See Also:
        `setExtendToDatabase(boolean)`, `RulesheetPackage.getLogicalVariable_ExtendToDatabase()`

    - #### setExtendToDatabase

          void setExtendToDatabase(boolean value)

      Sets the value of the '`Extend To Database`' attribute.
      Parameters:
        `value` - the new value of the 'Extend To Database' attribute.
      See Also:
        `isExtendToDatabase()`

    - #### getQualifier

          org.eclipse.emf.ecore.EClass getQualifier()

      Returns the value of the 'Qualifier' reference.

      If the meaning of the 'Qualifier' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Qualifier' reference.
      See Also:
        `setQualifier(EClass)`, `RulesheetPackage.getLogicalVariable_Qualifier()`

    - #### setQualifier

          void setQualifier(org.eclipse.emf.ecore.EClass value)

      Sets the value of the '`Qualifier`' reference.
      Parameters:
        `value` - the new value of the 'Qualifier' reference.
      See Also:
        `getQualifier()`

    - #### getRuleStatements

          org.eclipse.emf.common.util.EList getRuleStatements()

      Returns the value of the 'Rule Statements' reference list. The list contents are of type `RuleStatement`. It is bidirectional and its opposite is '`Logical Variable`'.

      If the meaning of the 'Rule Statements' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Statements' reference list.
      See Also:
        `RulesheetPackage.getLogicalVariable_RuleStatements()`, `RuleStatement.getLogicalVariable()`

    - #### getReferencedAttributes

          org.eclipse.emf.common.util.EList getReferencedAttributes()

      Returns the value of the 'Referenced Attributes' containment reference list. The list contents are of type `ReferencedAttribute`.

      If the meaning of the 'Referenced Attributes' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Referenced Attributes' containment reference list.
      See Also:
        `RulesheetPackage.getLogicalVariable_ReferencedAttributes()`

    - #### getFilters

          org.eclipse.emf.common.util.EList getFilters()

      Returns the value of the 'Filters' reference list. The list contents are of type `Filter`. It is bidirectional and its opposite is '`Logical Variables`'.

      If the meaning of the 'Filters' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Filters' reference list.
      See Also:
        `RulesheetPackage.getLogicalVariable_Filters()`, `Filter.getLogicalVariables()`

    - #### getExtendedFrom

          LogicalVariable getExtendedFrom()

      Returns the value of the 'Extended From' container reference. It is bidirectional and its opposite is '`Extension`'.

      If the meaning of the 'Extended From' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extended From' container reference.
      See Also:
        `setExtendedFrom(LogicalVariable)`, `RulesheetPackage.getLogicalVariable_ExtendedFrom()`, `getExtension()`

    - #### setExtendedFrom

          void setExtendedFrom(LogicalVariable value)

      Sets the value of the '`Extended From`' container reference.
      Parameters:
        `value` - the new value of the 'Extended From' container reference.
      See Also:
        `getExtendedFrom()`

    - #### getExtension

          org.eclipse.emf.common.util.EList getExtension()

      Returns the value of the 'Extension' containment reference list. The list contents are of type `LogicalVariable`. It is bidirectional and its opposite is '`Extended From`'.

      If the meaning of the 'Extension' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extension' containment reference list.
      See Also:
        `RulesheetPackage.getLogicalVariable_Extension()`, `getExtendedFrom()`

    - #### getEntity

          org.eclipse.emf.ecore.EClass getEntity()

      Returns the value of the 'Entity' reference.

      If the meaning of the 'Entity' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Entity' reference.
      See Also:
        `setEntity(EClass)`, `RulesheetPackage.getLogicalVariable_Entity()`

    - #### setEntity

          void setEntity(org.eclipse.emf.ecore.EClass value)

      Sets the value of the '`Entity`' reference.
      Parameters:
        `value` - the new value of the 'Entity' reference.
      See Also:
        `getEntity()`

    - #### getTraversedAssocRole

          org.eclipse.emf.ecore.EReference getTraversedAssocRole()

      Returns the value of the 'Traversed Assoc Role' reference.

      If the meaning of the 'Traversed Assoc Role' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Traversed Assoc Role' reference.
      See Also:
        `setTraversedAssocRole(EReference)`, `RulesheetPackage.getLogicalVariable_TraversedAssocRole()`

    - #### setTraversedAssocRole

          void setTraversedAssocRole(org.eclipse.emf.ecore.EReference value)

      Sets the value of the '`Traversed Assoc Role`' reference.
      Parameters:
        `value` - the new value of the 'Traversed Assoc Role' reference.
      See Also:
        `getTraversedAssocRole()`

    - #### getEntityExtendedFrom

          org.eclipse.emf.ecore.EClass getEntityExtendedFrom()

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.